# $Revision: 1.27 $, $Date: 2011/05/22 11:38:52 $
# TODO:
# - fix group for -progs subpackage
Summary:	XML-RPC EPI library - an implementation of the xmlrpc protocol
Summary(pl.UTF-8):	Biblioteka XML-RPC EPI - implementacja protokołu xmlrpc
Name:		xmlrpc-epi
Version:	0.54.1
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/xmlrpc-epi/%{name}-%{version}.tar.gz
# Source0-md5:	546ce341e7d79691371344449cb9e484
URL:		http://xmlrpc-epi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/%{name}

%description
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It
provides an easy to use API for developers to serialize RPC requests
to and from XML. It doesn't include a transport layer, such as HTTP.
The API is primarily based upon proprietary code written for internal
usage at Epinions.com, and was later modified to incorporate concepts
from the xmlrpc protocol. It passed the xmlrpc validation test suite
in December 2000.

%description -l pl.UTF-8
xmlrpc-epi to implementacja protokołu xmlrpc napisana w C. Daje proste
w użyciu API dla programistów do serializacji żądań RPC do i z XML-a.
Nie zawiera warstwy transportowej typu HTTP. API bazuje głównie na
własnościowym kodzie napisanym do użytku wewnętrznego na Epinions.com
i zostało później zmodyfikowane, aby włączyć idee protokołu xmlrpc.
API to przeszło test sprawdzający poprawność implementacji w grudniu
2000.

%package devel
Summary:	Header files etc to develop XML-RPC applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji XML-RPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel

%description devel
Header files etc needed to develop XML-RPC applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia aplikacji używających XML-RPC.

%package static
Summary:	Static XML-RPC EPI libraries
Summary(pl.UTF-8):	Biblioteki statyczne XML-RPC EPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XML-RPC EPI libraries.

%description static -l pl.UTF-8
Biblioteki statyczne XML-RPC EPI.

%package progs
Summary:	XML-RPC sample programs
Summary(pl.UTF-8):	Programy przykładowe XML-RPC
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description progs
Sample programs for XML-RPC EPI library.

%description progs -l pl.UTF-8
Programy przykładowe do biblioteki XML-RPC EPI.

%prep
%setup -q -n xmlrpc

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--program-prefix=xmlrpc-epi-
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc-epi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc-epi.so.0

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxmlrpc-epi.so
%{_libdir}/libxmlrpc-epi.la
%{_includedir}

%files static
%defattr(644,root,root,755)
%{_libdir}/libxmlrpc-epi.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmlrpc-epi-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmlrpc-epi.spec,v $
Revision 1.27  2011/05/22 11:38:52  lisu
- rel 2

Revision 1.26  2010/10/24 06:49:21  qboosh
- explicit lib name in files

Revision 1.25  2009/09/03 15:00:08  tommat
- rel 1

Revision 1.24  2009/09/03 11:42:37  tommat
- up to 0.54.1
- removed obsolete patches
- adapterized
- ghost soname symlink

Revision 1.23  2007/03/06 13:43:15  spider
- rel++
- STBR

Revision 1.22  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.20  2005/05/03 10:15:51  mmazur
- rel 3; builds with gcc4

Revision 1.19  2004/12/26 13:34:26  qboosh
- strict internal deps, -devel R: expat-devel

Revision 1.18  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.17  2004/09/25 11:20:56  radek
- cosmetics (spaces -> tabs)

Revision 1.16  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.15  2003/08/18 08:09:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.13  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/13 12:22:34  qboosh
- COPYING file is required (BSD)

Revision 1.11  2003/05/13 11:09:41  misi3k
- removed COPYING from %doc

Revision 1.10  2003/04/09 10:48:11  qboosh
- use http for sources from sourceforge

Revision 1.9  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/07/07 18:42:20  qboosh
- updated to 0.51 (bug fixes), updated system-expat patch

Revision 1.6  2002/06/11 22:35:01  kloczek
- release 1: use new %doc.

Revision 1.5  2002/05/21 23:15:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.3  2002/04/12 11:05:35  qboosh
- descriptions

Revision 1.2  2002/04/11 16:09:16  wiget
adapterized

Revision 1.1  2002/04/11 16:03:08  wiget
simple XML-RPC library from SourceForge
